NAME

OpenAPI::Client::OpenAI::Path::containers-container_id-files-file_id - Documentation for the /containers/{container_id}/files/{file_id} path.

OPERATIONS

DELETE /containers/{container_id}/files/{file_id}

DeleteContainerFile

$client->delete_container_file({
    body => { ... },
});

Delete Container File

Delete a container file.

Path/query parameters

  • container_id (in path, required, string)

  • file_id (in path, required, string)

Responses

200 - OK

GET /containers/{container_id}/files/{file_id}

RetrieveContainerFile

$client->retrieve_container_file({
    body => { ... },
});

Retrieve Container File

Retrieves a container file.

Path/query parameters

  • container_id (in path, required, string)

  • file_id (in path, required, string)

Responses

200 - Success

Content-Type: application/json

Example:

{
   "bytes" : 880,
   "container_id" : "cntr_682e0e7318108198aa783fd921ff305e08e78805b9fdbb04",
   "created_at" : 1747848842,
   "id" : "cfile_682e0e8a43c88191a7978f477a09bdf5",
   "object" : "container.file",
   "path" : "/mnt/data/88e12fa445d32636f190a0b33daed6cb-tsconfig.json",
   "source" : "user"
}

SCHEMAS

ContainerFileResource

Properties:

  • bytes (integer, required) - Size of the file in bytes.

  • container_id (string, required) - The container this file belongs to.

  • created_at (integer, required) - Unix timestamp (in seconds) when the file was created.

  • id (string, required) - Unique identifier for the file.

  • object (string, required) - The type of this object (container.file).

  • path (string, required) - Path of the file in the container.

  • source (string, required) - Source of the file (e.g., user , assistant ).

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.